Subject: Re: Wine-981025: can't even compile
From: [email-masked] (Christopher G. Faylor)

31 Oct 1998 04:59:16 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
=?ISO-8859-1?Q?Mika_L=F6f?= <[email-masked]> wrote:
>I can't compile Wine-981025 (same error with earlier versions, e.g. Wine-9808xx)
>
>dosvm.c:102: dereferencing pointer to incomplete type
>dosvm.c:111: warning: passing arg 3 of 'DOSVM_Dump' from incompatible pointer
>type
>dosvm.c:119: 'VM86_PICRETURN' undeclared (first use this function)
>dosvm.c:121: 'VM86_TRAP' undeclared (first use this function)
>dosvm.c:125: warning: passing arg 3 of 'DOSVM_Dump' from incompatible pointer
>type
>dosvm.c:129: dereferencing pointer to incomplete type
>dosvm.c: In function 'DOSVM_Enter':
>dosvm.c:139: storage size of 'VM86' isn't known
>dosvm.c:182: VM86_ENTER' undeclared (first use this function)
>dosvm.c:139: warning: unused variable 'VM86'
>make[1]: *** [dosvm.o] Error 1
>make[1]: Leaving directory /tmp/wine-981025/loader/dos'
>make: *** [loader/dos] Error 2
>
>I'm using Linux 2.0.0 Slackware and whatever libraries comes with that. What am
>I missing?
>
>I think I've had this "VM86" error earlier trying to compile some other
>programs...

Ahem.  You are *really* in the wrong mailing list here.
-- 
[email-masked]
http://www.cygnus.com/